Package ru.bitel.bgbilling.modules.drwebn.common.bean

# Class DrwebTariff

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebTariff

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`

    public class DrwebTariff
    extends Id
    implements GuiTitlable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DrwebTariff()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getDateFromView()` |
  `java.util.Date` | `getDateFromWork()` |
  `java.util.Date` | `getDateToView()` |
  `java.util.Date` | `getDateToWork()` |
  `java.lang.String` | `getGroupForView()` |
  `java.lang.String` | `getGroupTitle()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getNextTariff()` |
  `int` | `getSid()` |
  `int` | `getSidForNew()` |
  `java.lang.String` | `getTitle()` |
  `boolean` | `isOnlyForNew()` |
  `void` | `setDateFromView​(java.util.Date dateFromView)` |
  `void` | `setDateFromWork​(java.util.Date dateFromWork)` |
  `void` | `setDateToView​(java.util.Date dateToView)` |
  `void` | `setDateToWork​(java.util.Date dateToWork)` |
  `void` | `setGroupForView​(java.lang.String groupForView)` |
  `void` | `setGroupTitle​(java.lang.String groupTitle)` |
  `void` | `setNextTariff​(int nextTariff)` |
  `void` | `setOnlyForNew​(boolean onlyForNew)` |
  `void` | `setSid​(int sid)` |
  `void` | `setSidForNew​(int sidForNew)` |
  `void` | `setTitle​(java.lang.String title)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrwebTariff

    public DrwebTariff()

- ## Method Details

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid​(int sid)

  - ### getTitle

    public java.lang.String getTitle()

  - ### setTitle

    public void setTitle​(java.lang.String title)

  - ### getGroupTitle

    public java.lang.String getGroupTitle()

  - ### setGroupTitle

    public void setGroupTitle​(java.lang.String groupTitle)

  - ### getDateFromView

    public java.util.Date getDateFromView()

  - ### setDateFromView

    public void setDateFromView​(java.util.Date dateFromView)

  - ### getDateToView

    public java.util.Date getDateToView()

  - ### setDateToView

    public void setDateToView​(java.util.Date dateToView)

  - ### getDateFromWork

    public java.util.Date getDateFromWork()

  - ### setDateFromWork

    public void setDateFromWork​(java.util.Date dateFromWork)

  - ### getDateToWork

    public java.util.Date getDateToWork()

  - ### setDateToWork

    public void setDateToWork​(java.util.Date dateToWork)

  - ### getNextTariff

    public int getNextTariff()

  - ### setNextTariff

    public void setNextTariff​(int nextTariff)

  - ### getGroupForView

    public java.lang.String getGroupForView()

  - ### setGroupForView

    public void setGroupForView​(java.lang.String groupForView)

  - ### isOnlyForNew

    public boolean isOnlyForNew()

  - ### setOnlyForNew

    public void setOnlyForNew​(boolean onlyForNew)

  - ### getSidForNew

    public int getSidForNew()

  - ### setSidForNew

    public void setSidForNew​(int sidForNew)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.